Bug 18260 - Koha::Biblio - Remove GetBiblio
Summary: Koha::Biblio - Remove GetBiblio
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 18256 18277
Blocks: 17628 19334 19357
  Show dependency treegraph
 
Reported: 2017-03-13 19:39 UTC by Jonathan Druart
Modified: 2017-09-21 14:09 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18260: Koha::Biblio - Remove GetBiblio (21.12 KB, patch)
2017-03-13 19:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18260: Koha::Biblio - Remove GetBiblio (19.91 KB, patch)
2017-05-26 13:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18260: Koha::Biblio - Remove GetBiblio (20.08 KB, patch)
2017-05-27 05:52 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18260: Koha::Biblio - Remove GetBiblio (19.98 KB, patch)
2017-07-05 19:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18260: Handle nonexistent biblionumber in imageviewer.pl (1.38 KB, patch)
2017-07-05 19:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18260: Koha::Biblio - Remove GetBiblio (19.99 KB, patch)
2017-07-07 09:07 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18260: Handle nonexistent biblionumber in imageviewer.pl (1.47 KB, patch)
2017-07-07 09:07 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18260: [QA Follow-up] Always something left? (998 bytes, patch)
2017-07-07 09:07 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-03-13 19:39:22 UTC
C4::Biblio::GetBiblio can be replaced with Koha::Biblios->find
Comment 1 Jonathan Druart 2017-03-13 19:53:15 UTC
Created attachment 61053 [details] [review]
Bug 18260: Koha::Biblio - Remove GetBiblio

C4::Biblio::GetBiblio can be replaced with Koha Biblio->find

Test plan:
Import batch, view issue history, search for items, see the image of a
bibliographic record, modify and delete records in a batch
Comment 2 Aleisha Amohia 2017-05-26 03:51:53 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2017-05-26 13:45:55 UTC
Created attachment 63743 [details] [review]
Bug 18260: Koha::Biblio - Remove GetBiblio

C4::Biblio::GetBiblio can be replaced with Koha Biblio->find

Test plan:
Import batch, view issue history, search for items, see the image of a
bibliographic record, modify and delete records in a batch
Comment 4 Marc Véron 2017-05-27 05:52:57 UTC
Created attachment 63760 [details] [review]
Bug 18260: Koha::Biblio - Remove GetBiblio

C4::Biblio::GetBiblio can be replaced with Koha Biblio->find

Test plan:
Import batch, view issue history, search for items, see the image of a
bibliographic record, modify and delete records in a batch

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 5 Marcel de Rooy 2017-06-30 09:42:36 UTC
Koha/REST/V1/Hold.pm
Result of Koha::Biblios->find( $biblionumber ) is not tested, but result of GetBiblio was not tested too before.
No blocker.

catalogue/imageviewer.pl
biblionumber is a CGI parameter here
find should be tested

Same for catalogue/issuehistory.pl
opac/opac-imageviewer.pl
Comment 6 Jonathan Druart 2017-07-05 19:05:46 UTC
Created attachment 64823 [details] [review]
Bug 18260: Koha::Biblio - Remove GetBiblio

C4::Biblio::GetBiblio can be replaced with Koha Biblio->find

Test plan:
Import batch, view issue history, search for items, see the image of a
bibliographic record, modify and delete records in a batch

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 7 Jonathan Druart 2017-07-05 19:27:19 UTC
Patch rebased on top of bug 18277.
Comment 8 Jonathan Druart 2017-07-05 19:27:24 UTC
Created attachment 64825 [details] [review]
Bug 18260: Handle nonexistent biblionumber in imageviewer.pl
Comment 9 Jonathan Druart 2017-07-05 19:29:59 UTC
(In reply to Marcel de Rooy from comment #5)
> Koha/REST/V1/Hold.pm
> Result of Koha::Biblios->find( $biblionumber ) is not tested, but result of
> GetBiblio was not tested too before.
> No blocker.
> 
> catalogue/imageviewer.pl
> biblionumber is a CGI parameter here
> find should be tested

That was already true before this patch, we must handle nonexistent biblionumber correctly on all catalogue scripts. 

> Same for catalogue/issuehistory.pl
> opac/opac-imageviewer.pl

I did not find a change in the behaviour.
Comment 10 Marcel de Rooy 2017-07-07 09:07:34 UTC
Created attachment 64897 [details] [review]
Bug 18260: Koha::Biblio - Remove GetBiblio

C4::Biblio::GetBiblio can be replaced with Koha Biblio->find

Test plan:
Import batch, view issue history, search for items, see the image of a
bibliographic record, modify and delete records in a batch

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 11 Marcel de Rooy 2017-07-07 09:07:38 UTC
Created attachment 64898 [details] [review]
Bug 18260: Handle nonexistent biblionumber in imageviewer.pl

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 12 Marcel de Rooy 2017-07-07 09:07:43 UTC
Created attachment 64899 [details] [review]
Bug 18260: [QA Follow-up] Always something left?

Remove second Koha::Biblios->find in imageviewer.pl

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 13 Jonathan Druart 2017-07-10 17:53:22 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 14 Fridolin SOMERS 2017-07-18 11:53:34 UTC
Enhancement not pushed to 17.05.x